#include <iostream>
#include <math.h>
int main(){
    std::ios_base::sync_with_stdio(false);
    int n, m, a[100010], b[100010][3], s=0;
    std::cin>>n>>m;
    for(int i=1; i<=n; i++)
        std::cin>>a[i];
    for(int i=0; i<m; i++){
        for(int j=0; j<2; j++){
            std::cin>>b[i][j];
        }
        s+=abs(a[b[i][0]]+a[b[i][1]]);
    }
    std::cout<<s;
    return 0;
}